.accordion {
    border-radius: 0.75rem;
    padding: 2rem;
    margin: auto;
    margin-bottom: 1rem;
}

.accordion-heading {
    display: flex;
    align-items: center;
    gap: 1rem;
    justify-content: center;
    text-wrap: balance;
}

.accordion-wrapper {
    width: 100%;
    margin: auto;
    display: flex;
    flex-direction: column;
    border-bottom: 1px solid hsl(240 5.9% 90%);
}

.accordion-headline-wrapper {
    display: flex;
    align-items: center;
    gap: 1rem;
    margin: 0;
}

.accordion-toggle {
    font-weight: 500;
    font-size: .875rem;
    line-height: 1.25rem;
    text-align: left;
    padding: 1rem 0;
    justify-content: space-between;
    align-items: center;
    flex: 1 1 0%;
    display: flex;
    cursor: pointer;
    -webkit-appearance: button;
    background-color: transparent;
    background-image: none;
    border: none;
}

.accordion-content-wrapper {
    font-size: .875rem;
    line-height: 1.25rem;
    overflow: hidden;
    /* display: none; */
    height: 0;
    padding-top: 0;
    transition: height 0.3s ease;
}

.accordion-headline-wrapper[aria-expanded="true"] .ri-arrow-down-s-line {
    transform: rotate(180deg);
}

.accordion-content {
    padding-top: 0;
    padding-bottom: 1rem;
}

.accordion-content>* {
    margin: 0;
    font-size: 14px;
    color: hsl(240 3.8% 46.1%);
}

.accordion-button-wrapper {
    display: flex;
    justify-content: center;
    font-weight: 500;
    font-size: 0.875rem;
    line-height: 1.25rem;
    padding-top: 1.75rem;
    padding-bottom: 0.5rem;
    padding-inline: 1rem;
}

/* states */
.accordion-wrapper:hover .accordion-headline-wrapper>button {
    text-decoration: underline;
}

.accordion-button:hover {
    color: hsl(0, 0%, 100%) !important;
}